From ba919f1ba6a9f482aa1a0173fc2f09be0b41da2b Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 05 2015 17:42:17 +0000
Subject: [PATCH 84/254] A note for the future.


---

diff --git a/hubs/widgets/workflow/pendingacls.py b/hubs/widgets/workflow/pendingacls.py
index ad79a7e..8f40a86 100644
--- a/hubs/widgets/workflow/pendingacls.py
+++ b/hubs/widgets/workflow/pendingacls.py
@@ -40,6 +40,13 @@ chrome = panel('Pending ACL Requests', key='pending_acls')
           validator=validators.username,
           help="A FAS username.")
 def data(session, widget, username):
+
+    # TODO -- rewrite this to
+    # 1) use the datagrepper API instead of the direct pkgdb API
+    # 2) so that we can use the fedmsg.meta.conglomerate API to
+    # 3) group messages nicely in the UI instead of having repeats
+    # It will be slower, but that's fine because of our smart cache.
+
     baseurl = "https://admin.fedoraproject.org/pkgdb/api/pendingacls"
     query = "?username={username}&format=json".format(username=username)
     url = baseurl + query

